uCars

Ucars Logo

uCars

logo

To Spigot 1.8 users:

To run this plugin with Spigot 1.8 you will need the latest version of uCars and the latest version of Spigotmc's updated Protocollib. The 1.8 compatible ProtocolLib can be downloaded from http://ci.shadowvolt.com/job/ProtocolLib/ (courtesy of http://spigotmc.org )!

About Commands & Permissions Installation

Summary

uCars is a bukkit car plugin with lots of optional, awesome extra features. For more info on this plugin, read about the plugin below! uCars is cars in minecraft. It is made by the stormdev team. Happy driving in your cars! (Yes cars, cars, cars, cars, cars! You really can drive cars with this plugin! If you want your cars to be craftable, upgradeable,etc... Then also download uCarsTrade; if you just want super smooth cars with an extensive API then just download this car plugin! (You may also consider downloading the MarioKart addon if yours if a minigame server))

uCars is an incredibly versatile, seamless car plugin for Minecraft. It offers players the chance to drive around in Minecarts smoothly as if they were part of the game.

uCars also comes with many other optional cool addons to make driving that bit more fun!

Features

  • Drive cars
  • Effect blocks and boosters
  • Fuel
  • Awesome extras (Traffic Lights, etc...)
  • API support for a variety of extra plugins. (eg. MarioKart, etc...)
  • Versatile and configurable

See in action

The official server to see the plugin in action on is the GameBlade minecraft network. Join their server, MineTheftAuto and steal a car off an NPC driver to see both uCars and uCarsTrade in action!
GameBlade

Websitehttp://gameblade.net
IPplaygb.net


Donate

Donations are much appreciated!
Donate

You must login to post a comment. Don't have an account? Register to get one!

  • Avatar of storm345 storm345 Aug 28, 2015 at 13:53 UTC - 0 likes

    @TheIntelloBox: Go

    Everybody with the " java.lang.NoClassDefFoundError: net/md_5/bungee/api/chat/BaseComponent" error it's because you are trying to use the Spigot 1.8 version on CraftBukkit 1.7! Try and look at the compatible versions listed before downloading! (1.7.9 servers there is a working available version (http://dev.bukkit.org/bukkit-plugins/ucars/files/37-ucars-v18/)

    @Fireangel100: Go

    On rails minecarts act as minecarts. This plugin was made compatible with traincarts ages ago and I presume it still works! :) If not then sorry :(

    http://status.minecraftservers.org/classic/138275.png

  • Avatar of Fireangel100 Fireangel100 Aug 19, 2015 at 05:27 UTC - 0 likes

    Hey! 2 things i wanted to know before i install this plugin? Do minecarts you place on rails work as normal or as cars?...if they act normally when on rails would this plugin be compatible with Traincarts plugin, or something like MC train sim.? or will i have to test it for myself?

  • Avatar of bloodyxninjax bloodyxninjax Aug 12, 2015 at 14:09 UTC - 0 likes

    Hello People, I created a extra feature for this plugin. With my plugin you can lock your car! Check out the plugin here

  • Avatar of KokeCacao KokeCacao Aug 06, 2015 at 14:35 UTC - 0 likes

    Why: I drive a car and fall down take no fall damage.FIX IT PLZ.

  • Avatar of TheIntelloBox TheIntelloBox Jul 25, 2015 at 15:54 UTC - 0 likes

    Hi :

    Look at this : http://pastebin.com/vQyQwJUm

    Last edited Jul 25, 2015 by TheIntelloBox
  • Avatar of gamevault gamevault Jul 23, 2015 at 21:42 UTC - 0 likes

    The plugin is working great, I just have one question - is there any way I can have different jump effect blocks and different blocks have different jump amounts??

  • Avatar of stefanfce stefanfce Jul 19, 2015 at 17:17 UTC - 0 likes

    Step (44) as barrier still does not work...

    jo

  • Avatar of Terminator469 Terminator469 Jul 15, 2015 at 18:35 UTC - 0 likes

    OMG I AM HAVING THE SAME STUPID PROBLEM AS @MinecraftMarcus1 AND @MalaynaBrynn PLEASE FIX THIS NOW!!!

  • Avatar of MalaynaBrynn MalaynaBrynn Jul 04, 2015 at 21:29 UTC - 0 likes

    Help! I am running Bukkit 1.7.9-RO.3 (dev) and I CANNOT for the life of me get this plug in to work, all the commands work and it says the plug in is working fine but when I try to drive the minecart it doesn't go it just stays put and I get this error in the console. Caused by: java.lang.ClassNotFoundException: net.md_5.bungee.api.chat.BaseComponent

    Do you know if there is a fix to this because I really want this on my server please help!

  • Avatar of MinecraftMarcus1 MinecraftMarcus1 Jul 01, 2015 at 03:23 UTC - 0 likes

    PLEASE HELP I CANT MOVE THE MINECART AROUND WHEN I TRY. I GET THIS ERROR MESSAGE IN MY SERVERS CONSOLE [22:17:21 WARN]: [uCars] Task #17190 for uCars v19 generated an exception java.lang.NoClassDefFoundError: net/md_5/bungee/api/chat/BaseComponent at com.useful.ucars.controls.ControlSchemeManager.getScheme(ControlSchem eManager.java:14) [?:?] at com.useful.ucars.MotionManager.move(MotionManager.java:73) [?:?] at com.useful.ucars.ucars$1$1.run(ucars.java:153) [?:?] at org.bukkit.craftbukkit.v1_8_R3.scheduler.CraftTask.run(CraftTask.java :53) [craftbukkit-1.8.7.jar:git-Bukkit-1880a9c] at org.bukkit.craftbukkit.v1_8_R3.scheduler.CraftScheduler.mainThreadHea rtbeat(CraftScheduler.java:349) [craftbukkit-1.8.7.jar:git-Bukkit-1880a9c] at net.minecraft.server.v1_8_R3.MinecraftServer.B(MinecraftServer.java:6 83) [craftbukkit-1.8.7.jar:git-Bukkit-1880a9c] at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:3 35) [craftbukkit-1.8.7.jar:git-Bukkit-1880a9c] at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:6 32) [craftbukkit-1.8.7.jar:git-Bukkit-1880a9c] at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java :540) [craftbukkit-1.8.7.jar:git-Bukkit-1880a9c] at java.lang.Thread.run(Unknown Source) [?:1.8.0_45] Caused by: java.lang.ClassNotFoundException: net.md_5.bungee.api.chat.BaseCompon ent at java.net.URLClassLoader.findClass(Unknown Source) [?:1.8.0_45] at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader. java:77) [craftbukkit-1.8.7.jar:git-Bukkit-1880a9c] at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader. java:62) [craftbukkit-1.8.7.jar:git-Bukkit-1880a9c] at java.lang.ClassLoader.loadClass(Unknown Source) [?:1.8.0_45] at java.lang.ClassLoader.loadClass(Unknown Source) [?:1.8.0_45]

What do you like about ucars?

  1. Choice:

  1. Results
  2. 7 comments

Facts

Date created
Jan 04, 2013
Categories
Last update
May 29, 2015
Development stage
Release
Language
  • enUS
License
Public Domain
Curse link
uCars
Downloads
119,137
Recent files

Authors

Relationships

Required dependency
ProtocolLib
Optional dependency
Vault